﻿using System;
using System.Collections.Generic;
using System.Text;

namespace Falcon.TaskScheduling
{
    /// <summary>
    /// 任务执行单元
    /// </summary>
    public interface ITaskUnit
    {
        /// <summary>
        /// 执行任务
        /// </summary>
        /// <returns>任务返回结果</returns>
        object Run();
        /// <summary>
        /// 任务执行结束回调
        /// </summary>
        /// <param name="result">返回结果</param>
        /// <param name="ex">任务引发的异常</param>
        void TaskCallback(object result,Exception ex);
    }
}
