﻿using System.Collections.Concurrent;

namespace Falcon.TaskScheduling
{
    /// <summary>
    /// 队列单元
    /// </summary>
    public class QueueUnit
    {
        /// <summary>
        /// 队列
        /// </summary>
        public ConcurrentQueue<ITaskUnit> Queue { get; set; } = new ConcurrentQueue<ITaskUnit>();
        /// <summary>
        /// 队列权重编号
        /// </summary>
        public int Weight { get; set; }
        /// <summary>
        /// 获取队列是否有任务
        /// </summary>
        public bool HasTask {
            get {
                return Queue.Count > 0;
            }
        }
    }
}
